# Give haste with an amplifier of 100 (haste 101) every 1 second while holding the piglin megapick. Particles off is true.
execute as @a[nbt={SelectedItem:{id:"minecraft:netherite_pickaxe",tag:{CustomModelData:700000}}}] at @s run effect give @s haste 1 100 true

# Run the enderman_drop function while holding the ender sword.
execute as @a[nbt={SelectedItem:{id:"minecraft:netherite_sword",tag:{CustomModelData:700001}}}] at @s run function mega:enderman_drop

# Check for lava in a radius around the player while wearing lava walker boots and run the basaltify function if lava is found.
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~ ~-1 ~ lava run function mega:basaltify
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~ ~-1 ~-1 lava run function mega:basaltify
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~ ~-1 ~1 lava run function mega:basaltify
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~1 ~-1 ~ lava run function mega:basaltify
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~-1 ~-1 ~ lava run function mega:basaltify
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~1 ~-1 ~-1 lava run function mega:basaltify
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~-1 ~-1 ~-1 lava run function mega:basaltify
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~1 ~-1 ~1 lava run function mega:basaltify
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~-1 ~-1 ~1 lava run function mega:basaltify
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~ ~-1 ~-2 lava run function mega:basaltify
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~ ~-1 ~2 lava run function mega:basaltify
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~2 ~-1 ~ lava run function mega:basaltify
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s if block ~-2 ~-1 ~ lava run function mega:basaltify

# Run the unbasaltify function, which removes any temporary basalt greater than 4 blocks away.
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s run function mega:unbasaltify

# Give night vison while wearing the Night Vision Helmet.
execute as @a[nbt={Inventory:[{Slot:103b,id:"minecraft:netherite_helmet",tag:{CustomModelData:700007}}]}] at @s run effect give @s night_vision 11 0 true

# Give burnt orange particle effect to lava walker boots.
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700004}}]}] at @s run particle entity_effect ~ ~ ~ 0.86 0.39 0 1 0

# Give speed with an amplifier of 2 (speed 3) every 1 second while wearing moon walker boots. Particles off is true.
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700005}}]}] at @s run effect give @s speed 1 2 true

# Give jump boost with an amplifier of 5 (jump boost 6) every 1 second while wearing moon walker boots. Particles off is true.
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700005}}]}] at @s run effect give @s jump_boost 1 5 true

# Give slow falling with no amplifier (slow falling 1) every 1 second while wearing moon walker boots. Particles off is true.
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700005}}]}] at @s run effect give @s slow_falling 1 0 true

# Give rainbow particle effect moon walker boots.
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:netherite_boots",tag:{CustomModelData:700005}}]}] at @s run particle entity_effect ~ ~ ~ 0 0 0 1 1

# Place ground torches unless the block underneath is one of the blocks listed below.
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:arrow",tag:{CustomModelData:700006}}]}] at @s run execute at @e[type=arrow,nbt={inGround:1b}] if block ~ ~ ~ minecraft:air unless block ~ ~-1 ~ minecraft:air unless block ~ ~-1 ~ minecraft:torch unless block ~ ~-1 ~ minecraft:wall_torch unless block ~ ~-1 ~ minecraft:water unless block ~ ~-1 ~ minecraft:lava run setblock ~ ~ ~ minecraft:torch

# Place wall torches where the arrow hits on the wall.
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:arrow",tag:{CustomModelData:700006}}]}] at @s run execute at @e[type=arrow,nbt={inGround:1b}] if block ~ ~ ~ minecraft:air unless block ~ ~ ~-1 minecraft:air unless block ~ ~ ~-1 minecraft:torch unless block ~ ~ ~-1 minecraft:wall_torch run setblock ~ ~ ~ minecraft:wall_torch[facing=south]
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:arrow",tag:{CustomModelData:700006}}]}] at @s run execute at @e[type=arrow,nbt={inGround:1b}] if block ~ ~ ~ minecraft:air unless block ~ ~ ~1 minecraft:air unless block ~ ~ ~1 minecraft:torch unless block ~ ~ ~1 minecraft:wall_torch run setblock ~ ~ ~ minecraft:wall_torch[facing=north]
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:arrow",tag:{CustomModelData:700006}}]}] at @s run execute at @e[type=arrow,nbt={inGround:1b}] if block ~ ~ ~ minecraft:air unless block ~-1 ~ ~ minecraft:air unless block ~-1 ~ ~ minecraft:torch unless block ~-1 ~ ~ minecraft:wall_torch run setblock ~ ~ ~ minecraft:wall_torch[facing=east]
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:arrow",tag:{CustomModelData:700006}}]}] at @s run execute at @e[type=arrow,nbt={inGround:1b}] if block ~ ~ ~ minecraft:air unless block ~1 ~ ~ minecraft:air unless block ~1 ~ ~ minecraft:torch unless block ~1 ~ ~ minecraft:wall_torch run setblock ~ ~ ~ minecraft:wall_torch[facing=west]

# Remove the arrow from where the torch was placed.
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:arrow",tag:{CustomModelData:700006}}]}] at @s run kill @e[type=arrow,nbt={inGround:1b}]

# If entity is an arrow, is in the ground, and has custom potion effects that have an Id of 26 (luck), run the directory function.
execute as @e[type=arrow,nbt={inGround:1b,CustomPotionEffects:[{Id:26}]}] at @s run function mega:directory

# If entity has an active effect with an Id of 26 (luck), run the directory function.
execute as @e[nbt={ActiveEffects:[{Id:26}]}] at @s run function mega:directory

# Black Sea Lantern
execute as @e[type=minecraft:item_frame,tag=black_sea_lantern,tag=!placed] at @s run function mega:black_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=black_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:black_sea_lantern/remove

# Blue Sea Lantern
execute as @e[type=minecraft:item_frame,tag=blue_sea_lantern,tag=!placed] at @s run function mega:blue_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=blue_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:blue_sea_lantern/remove

# Brown Sea Lantern
execute as @e[type=minecraft:item_frame,tag=brown_sea_lantern,tag=!placed] at @s run function mega:brown_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=brown_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:brown_sea_lantern/remove

# Cyan Sea Lantern
execute as @e[type=minecraft:item_frame,tag=cyan_sea_lantern,tag=!placed] at @s run function mega:cyan_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=cyan_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:cyan_sea_lantern/remove

# Gray Sea Lantern
execute as @e[type=minecraft:item_frame,tag=gray_sea_lantern,tag=!placed] at @s run function mega:gray_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=gray_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:gray_sea_lantern/remove

# Green Sea Lantern
execute as @e[type=minecraft:item_frame,tag=green_sea_lantern,tag=!placed] at @s run function mega:green_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=green_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:green_sea_lantern/remove

# Light Blue Sea Lantern
execute as @e[type=minecraft:item_frame,tag=light_blue_sea_lantern,tag=!placed] at @s run function mega:light_blue_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=light_blue_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:light_blue_sea_lantern/remove

# Light Gray Sea Lantern
execute as @e[type=minecraft:item_frame,tag=light_gray_sea_lantern,tag=!placed] at @s run function mega:light_gray_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=light_gray_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:light_gray_sea_lantern/remove

# Lime Sea Lantern
execute as @e[type=minecraft:item_frame,tag=lime_sea_lantern,tag=!placed] at @s run function mega:lime_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=lime_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:lime_sea_lantern/remove

# Magenta Sea Lantern
execute as @e[type=minecraft:item_frame,tag=magenta_sea_lantern,tag=!placed] at @s run function mega:magenta_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=magenta_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:magenta_sea_lantern/remove

# Orange Sea Lantern
execute as @e[type=minecraft:item_frame,tag=orange_sea_lantern,tag=!placed] at @s run function mega:orange_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=orange_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:orange_sea_lantern/remove

# Pink Sea Lantern
execute as @e[type=minecraft:item_frame,tag=pink_sea_lantern,tag=!placed] at @s run function mega:pink_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=pink_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:pink_sea_lantern/remove

# Purple Sea Lantern
execute as @e[type=minecraft:item_frame,tag=purple_sea_lantern,tag=!placed] at @s run function mega:purple_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=purple_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:purple_sea_lantern/remove

# Red Sea Lantern
execute as @e[type=minecraft:item_frame,tag=red_sea_lantern,tag=!placed] at @s run function mega:red_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=red_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:red_sea_lantern/remove

# White Sea Lantern
execute as @e[type=minecraft:item_frame,tag=white_sea_lantern,tag=!placed] at @s run function mega:white_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=white_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:white_sea_lantern/remove

# Yellow Sea Lantern
execute as @e[type=minecraft:item_frame,tag=yellow_sea_lantern,tag=!placed] at @s run function mega:yellow_sea_lantern/place
execute as @e[type=minecraft:item_frame,tag=yellow_sea_lantern,tag=placed] at @s unless block ~ ~ ~ minecraft:sea_lantern run function mega:yellow_sea_lantern/remove

# Zombie Spawn Scan
execute as @e[type=zombie,tag=!toxic_checked,sort=random] at @s run function mega:toxic_zombie_spawn
execute as @e[type=zombie,tag=!alien_checked,sort=random] at @s run function mega:alien_zombie_spawn
execute as @e[type=zombie,tag=!bloody_checked,sort=random] at @s run function mega:bloody_zombie_spawn
execute as @e[type=zombie,tag=!sudo_checked,sort=random] at @s run function mega:sudo_zombie_spawn

# Spider Spawn Scan
execute as @e[type=spider,tag=!snow_checked,sort=random] at @s run function mega:snow_spider_spawn
execute as @e[type=spider,tag=!splitter_checked,sort=random] at @s run function mega:splitter_spider_spawn
execute as @e[type=spider,tag=!fire_checked,sort=random] at @s run function mega:fire_spider_spawn

# Hide Name Tags
execute as @e[type=zombie,name="Toxic Zombie"] at @s run team join no_display_tag @e[name="Toxic Zombie"]
execute as @e[type=zombie,name="Alien Zombie"] at @s run team join no_display_tag @e[name="Alien Zombie"]
execute as @e[type=zombie,name="Bloody Zombie"] at @s run team join no_display_tag @e[name="Bloody Zombie"]
execute as @e[type=zombie,name="Sudo Zombie"] at @s run team join no_display_tag @e[name="Sudo Zombie"]
execute as @e[type=spider,name="Snow Spider"] at @s run team join no_display_tag @e[name="Snow Spider"]
execute as @e[type=spider,name="Splitter Spider"] at @s run team join no_display_tag @e[name="Splitter Spider"]
execute as @e[type=spider,name="Fire Spider"] at @s run team join no_display_tag @e[name="Fire Spider"]
execute as @e[type=spider,name="Clone Spider"] at @s run team join no_display_tag @e[name="Clone Spider"]

# Poison players within a 2 block radius of Toxic Zombie for 10 seconds.
execute as @e[name="Toxic Zombie"] at @s run effect give @a[distance=..2] poison 10 0 false
# Create nausea within a 2 block radius of Toxic Zombie for 8 seconds.
execute as @e[name="Toxic Zombie"] at @s run effect give @a[distance=..2] nausea 8 0
# Run green particles on Toxic Zombie.
execute as @e[name="Toxic Zombie"] at @s run particle entity_effect ~ ~ ~ 0.333 1.000 0.129 1 0 normal

# Run crimson_spore particle effect on Bloody Zombie.
execute as @e[name="Bloody Zombie"] at @s run particle crimson_spore ~ ~ ~ 0 0 0 1 0 normal
# Give slowness to players within a 2 block radius of Bloody Zombie for 5 seconds.
execute as @e[name="Bloody Zombie"] at @s run effect give @a[distance=..2] slowness 5 3
# Give darkness to players within a 2 block radius of Bloody Zombie for 5 seconds.
execute as @e[name="Bloody Zombie"] at @s run effect give @a[distance=..2] darkness 5 0

# Levitate players within an 2 block radius of Alien Zombie for 1 second.
execute as @e[name="Alien Zombie"] at @s run effect give @a[distance=..2] levitation 1 1
# Give Alien Zombie Speed.
execute as @e[name="Alien Zombie"] at @s run effect give @s speed 1 2 true
# Run sculk_soul particle effect when Alien Zombie runs.
execute as @e[name="Alien Zombie"] at @s run particle sculk_soul ~ ~ ~ 0 0 0 1 0 normal

# If player comes within a 2 block radius of snow spider, run the spider_snow function.
execute as @a at @s if entity @e[name="Snow Spider",distance=..2] run function mega:spider_snow

# Run the snow_away function, which removes any temporary powder snow greater than 2 blocks away.
execute as @a at @s run function mega:snow_away

# Give weakness to players within a 2 block radius of Splitter Spider for 10 seconds.
execute as @e[name="Splitter Spider"] at @s run effect give @a[distance=..2] weakness 10 0
# Give hunger to players within a 2 block radius of Splitter Spider for 10 seconds.
execute as @e[name="Splitter Spider"] at @s run effect give @a[distance=..2] hunger 10 0
# Check for tag. If not tagged, run the Splitter_split function.
execute as @a at @s if entity @e[name="Splitter Spider",distance=..2] run function mega:split

# Run lava particle effects on Fire Spider.
execute as @e[name="Fire Spider"] at @s run particle lava ~ ~ ~ 0 0 0 1 0 normal
# Give Fire Spider Fire Resistance.
execute as @e[name="Fire Spider"] at @s run effect give @s fire_resistance 1 0 true
# If a player is within 2 blocks of Fire Spider, the block they are standing on ignites.
execute as @a at @s if entity @e[name="Fire Spider",distance=..2] run setblock ~ ~ ~ fire

# Detect right-click for evoker wand.
execute as @a[nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick", tag:{CustomModelData:700011}}}] at @s if score @s fangs matches 1.. run function mega:trigger_evoker_fangs
# Detect right-click for sonic wand.
execute as @a[nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick", tag:{CustomModelData:700012}}}] at @s if score @s sonic matches 1.. run function mega:sonic_attack

# Run particles at armor stand location for mobs with no AI in a .5x.5x.5 area, at the default speed, 1 time.
execute as @e[type=armor_stand,tag=stunned] at @s run particle glow ~ ~ ~ .5 .5 .5 0 1
